Skip to main content
Platform O&M/Backup Management/Backup Service (Plus)/Backup Service Operations
PUTBackup Service OperationsSince 3.0.0SynchronousAuth Required

RecoverDatabaseFromBackup

RecoverDatabaseFromBackup

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidString

    Optional. The UUID of the database backup.

Body Fields

  • recoverdatabasefrombackupObjectRequired

    recoverdatabasefrombackup request body object.

    • backupStorageUrlString

      Optional. The URL of the backup storage.

    • backupInstallPathString

      Optional. The storage path of the database backup.

    • mysqlRootPasswordStringRequired

      The root password of the MySQL database.

  • systemTagsList

    Optional.

  • userTagsList

    Optional.

Responses

200 OK

On success, this API returns the following response structure.

  • logListenPortintRequired

    The port that the browser listens to print logs in real time.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

Endpoint

PUT/zstack/v1/database-backups/actions?uuid={uuid}

/zstack/v1/database-backups/actions?uuid={uuid}

Operation ID

RecoverDatabaseFromBackup

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/database-backups/actions?uuid={uuid}' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"recoverdatabasefrombackup":{"backupStorageUrl":"<backupStorageUrl>","backupInstallPath":"<backupInstallPath>","mysqlRootPassword":"<mysqlRootPassword>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "logListenPort": 0.0 }

Change History

This API has no change history records yet.

View all change history